<template>
  <div>
    <section class='wrap-wallet-main-screen'>
      <app-main-screen />
      <crypto-slider />
    </section>
    <section class='wrap-advantage-app'>
      <advantage-app />
    </section>
    <section class='wrap-app-for-you'>
      <app-for-you />
    </section>
    <section class='wrap-steps-started'>
      <steps-started />
    </section>
    <section class='wrap-supported-assets'>
      <supported-assets />
    </section>
    <section class='wrap-download-wallet'>
      <download-wallet />
    </section>
  </div>
</template>

<script>
import AppMainScreen from '../components/app/AppMainScreen'
import CryptoSlider from '../components/app/CryptoSlider'
import SupportedAssets from '../components/app/SupportedAssets'
import DownloadWallet from '../components/app/DownloadWallet'
import AdvantageApp from '../components/app/AdvantageApp'
import AppForYou from '../components/app/AppForYou'
import StepsStarted from '../components/app/StepsStarted'
export default {
  components: { StepsStarted, AppForYou, AdvantageApp, DownloadWallet,SupportedAssets, CryptoSlider, AppMainScreen },

  head() {
    return {
      title: 'TBCC | App',
      link: [
        {
          rel: "canonical", href: `https://tbcctoken.com${this.$route.path}`
        }
      ]
    }
  },

}
</script>

<style lang='scss' scoped>
.wrap-wallet-main-screen {
  background: linear-gradient(161.68deg, #1F0C71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;
  padding-bottom: 100px;
  padding-top: 46px;

  @media (min-width: 768px) {
    padding-top: 65px;
    padding-bottom: 130px;

    &::before {
      content: "";
      width: 1230px;
      height: 821px;
      background-image: url("assets/img/bg-wallet-main-screen.png");
      background-repeat: no-repeat;
      background-position: center;
      background-size: 1230px 821px;
      top: 0;
      right: 0;
      position: absolute;
      pointer-events: none;
      overflow: visible;
      z-index: -1;
    }
  }

  @media (min-width: 1024px) {
    padding-top: 100px;
  }
}

.wrap-advantage-app {
  padding-bottom: 110px;
  z-index: 2;
  position: relative;


  @media (max-width: 767px) {
    padding-bottom: 88px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: "";
      width: 628px;
      height: 958px;
      background-image: url("assets/img/bg-page-app.svg");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      top: -50px;
      left: 0;
      transform: scale(-1, 1);
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }

    &::after {
      content: "";
      width: 628px;
      height: 958px;
      background-image: url("assets/img/bg-page-app.svg");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: 1366px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.wrap-app-for-you {
  padding-bottom: 160px;
  z-index: 1;
  position: relative;

  @media (max-width: 767px) {
    padding-bottom: 60px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: "";
      width: 628px;
      height: 958px;
      background-image: url("assets/img/bg-page-app.svg");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      top: -1205px;
      left: -60px;
      transform: scale(-1, 1);
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.wrap-steps-started {
  padding-bottom: 130px;
  z-index: 1;
  position: relative;

  @media (max-width: 767px) {
    padding-bottom: 60px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: "";
      width: 628px;
      height: 958px;
      background-image: url("assets/img/bg-page-app.svg");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -300px;
      left: -80px;
      transform: scale(-1, 1);
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.wrap-supported-assets {
  padding-bottom: 195px;
  z-index: 2;
  position: relative;

  @media (max-width: 767px) {
    padding-bottom: 100px;
  }

  @media (min-width: 1024px) {
    &::after {
      content: "";
      width: 228px;
      height: 171px;
      background-image: url("assets/img/bg-supported-assets.svg");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -80px;
      left: 115px;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.wrap-download-wallet {
  padding-bottom: 240px;
  position: relative;
  z-index: 1;

  @media (max-width: 767px) {
    padding-bottom: 170px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: "";
      width: 214px;
      height: 214px;
      background-image: url("assets/img/download-wallet-planet.svg");
      background-repeat: no-repeat;
      background-position: center;
      top: -43px;
      right: 254px;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &::after {
    content: "";
    width: 1798px;
    height: 715px;
    background-image: url("assets/img/stones@2x.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    bottom: 0;
    right: 0;
    position: absolute;
    pointer-events: none;
    z-index: -1;

    @media(max-width: 767px) {
      width: 1039px;
      height: 450px;
      right: -70px;
    }
  }
}
</style>
